"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// import css
require("../../css/repeat-analysis-modal.css");
const Mito_1 = require("./Mito");
const DefaultModal_1 = __importDefault(require("./DefaultModal"));
/*
    A modal that allows users to input a file path to
    repeat the current analysis on that file, in a
    new Jupyter code cell.
*/
const RepeatAnalysisModal = (props) => {
    const [fileName, setFileName] = react_1.useState('');
    function onSubmit(e) {
        var _a;
        e.preventDefault();
        (_a = window.commands) === null || _a === void 0 ? void 0 : _a.execute('repeat-analysis', { fileName: fileName });
        props.setModal(Mito_1.ModalEnum.None);
    }
    return (react_1.default.createElement(DefaultModal_1.default, { header: 'Repeat analysis', viewComponent: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("form", { className: 'repeat-analysis-form', onSubmit: (e) => { onSubmit(e); } },
                react_1.default.createElement("label", null,
                    react_1.default.createElement("p", null, "File name to repeat analysis on:"),
                    react_1.default.createElement("input", { type: "text", placeholder: 'datafile2.csv', value: fileName, onChange: (e) => { setFileName(e.target.value); } })),
                react_1.default.createElement("input", { type: "submit", value: "Repeat Analysis" }))), setModal: props.setModal }));
};
exports.default = RepeatAnalysisModal;
//# sourceMappingURL=RepeatAnalysisModal.js.map