"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../css/function-documentation.css");
require("../../css/margins.css");
/*
    Returns a sidebar that contains the documentation for a single function.
*/
const FunctionDocumentation = (props) => {
    var _a, _b;
    return (react_1.default.createElement("div", { className: 'documentation-sidebar-container' },
        react_1.default.createElement("div", { className: 'documentation-sidebar-header' },
            react_1.default.createElement("div", { className: 'documentation-sidebar-header-back-and-title' },
                react_1.default.createElement("div", { className: 'documentation-sidebar-header-back', onClick: () => { props.setSelectedFunction(''); } },
                    react_1.default.createElement("svg", { width: "12", height: "16", viewBox: "0 0 12 16", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                        react_1.default.createElement("path", { d: "M0.292893 7.29289C-0.0976311 7.68342 -0.0976311 8.31658 0.292893 8.70711L6.65685 15.0711C7.04738 15.4616 7.68054 15.4616 8.07107 15.0711C8.46159 14.6805 8.46159 14.0474 8.07107 13.6569L2.41421 8L8.07107 2.34315C8.46159 1.95262 8.46159 1.31946 8.07107 0.928932C7.68054 0.538408 7.04738 0.538408 6.65685 0.928932L0.292893 7.29289ZM12 7L1 7V9L12 9V7Z", fill: "#343434" }))),
                react_1.default.createElement("div", { className: 'documentation-sidebar-header-title' }, "Documentation")),
            react_1.default.createElement("div", { className: 'documentation-sidebar-header-close', onClick: () => { props.setDocumentation(false); } },
                react_1.default.createElement("svg", { width: "22", height: "23", viewBox: "0 0 22 23", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                    react_1.default.createElement("line", { x1: "5.91849", y1: "6.1967", x2: "16.5251", y2: "16.8033", stroke: "#343434", strokeWidth: "2" }),
                    react_1.default.createElement("line", { x1: "5.91852", y1: "16.8033", x2: "16.5251", y2: "6.19671", stroke: "#343434", strokeWidth: "2" })))),
        react_1.default.createElement("div", { className: 'documentation-sidebar-content' },
            react_1.default.createElement("h1", { className: 'function-documentation-function-name' }, props.funcDocObject.function),
            react_1.default.createElement("p", null, props.funcDocObject.description),
            react_1.default.createElement("h2", { className: 'mb-0' }, "Examples"),
            react_1.default.createElement("ul", { className: 'function-documentation-example-list blue-text' }, (_a = props.funcDocObject.examples) === null || _a === void 0 ? void 0 : _a.map((example) => {
                return react_1.default.createElement("li", { className: 'function-documentation-example', key: example }, example);
            })),
            react_1.default.createElement("h2", { className: 'mb-0' }, "Syntax"),
            react_1.default.createElement("p", { className: 'blue-text' }, props.funcDocObject.syntax),
            react_1.default.createElement("ul", null, (_b = props.funcDocObject.syntax_elements) === null || _b === void 0 ? void 0 : _b.map((syntax_element) => {
                return (react_1.default.createElement("li", { key: syntax_element.element },
                    react_1.default.createElement("p", { className: 'blue-text' }, syntax_element.element),
                    syntax_element.description));
            })))));
};
exports.default = FunctionDocumentation;
//# sourceMappingURL=FunctionDocumentation.js.map